Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.server.http
Interface CauchoRequest

All Superinterfaces:
  HttpServletRequest, ServletRequest

public interface CauchoRequest
extends HttpServletRequest

Method Summary
`CauchoApplication` | `getCauchoApplication()`
`java.lang.String` | `getContextPath()` Returns the part of the URI corresponding to the application's prefix.
`Cookie` | `getCookie(java.lang.String name)`
`long` | `getDate()`
`java.lang.String` | `getFilter(java.lang.String contentType)`
`java.lang.String` | `getMedia()`
`java.lang.String` | `getPageContextPath()`
`java.lang.String` | `getPagePathInfo()`
`java.lang.String` | `getPageQueryString()`
`java.lang.String` | `getPageServletPath()`
`java.lang.String` | `getPageURI()`
`int` | `getRequestDepth(int depth)`
`RequestDispatcher` | `getRequestDispatcher(java.lang.String url)` Returns a request dispatcher for later inclusion or forwarding.
`ReadStream` | `getStream()`
`boolean` | `isSecure()` Returns true if the connection is secure, e.g.
`boolean` | `isUserInRole(java.lang.String role)` Returns true if the user is in the given role.
`void` | `removeAttribute(java.lang.String name)` Removes the given attribute.
`void` | `resetTimeout()` Resets the request timeout.
`void` | `setHeader(java.lang.String key, java.lang.String value)`

Methods inherited from interface javax.servlet.http.HttpServletRequest
`getAuthType, getCookies, getDateHeader, getHeader, getHeaderNames, getHeaders, getIntHeader, getMethod, getPathInfo, getPathTranslated, getQueryString, getRemoteUser, getRequestedSessionId, getRequestURI, getServletPath, getSession, getSession, getUserPrincipal, isRequestedSessionIdFromCookie, isRequestedSessionIdFromUrl, isRequestedSessionIdFromURL, isRequestedSessionIdValid`

Methods inherited from interface javax.servlet.ServletRequest
`getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentType, getInputStream, getLocale, getLocales, getParameter, getParameterNames, getParameterValues, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getScheme, getServerName, getServerPort, setAttribute`

Method Detail

### getContextPath

    public java.lang.String getContextPath()

  Description copied from interface: `HttpServletRequest`
  Returns the part of the URI corresponding to the application's prefix. The first part of the URI selects applications (ServletContexts).

  `getContextPath()` is /myapp for the uri /myapp/servlet/Hello,

  Specified by:
    `getContextPath` in interface `HttpServletRequest`

### getPageURI

    public java.lang.String getPageURI()

### getPageContextPath

    public java.lang.String getPageContextPath()

### getPageServletPath

    public java.lang.String getPageServletPath()

### getPagePathInfo

    public java.lang.String getPagePathInfo()

### getPageQueryString

    public java.lang.String getPageQueryString()

### removeAttribute

    public void removeAttribute(java.lang.String name)

  Description copied from interface: `ServletRequest`
  Removes the given attribute.
  Specified by:
    `removeAttribute` in interface `ServletRequest`
  Following copied from interface: `javax.servlet.ServletRequest`
  Parameters:
    `name` - the attribute name

### getCauchoApplication

    public CauchoApplication getCauchoApplication()

### getStream

    public ReadStream getStream()
                         throws java.io.IOException

### getRequestDepth

    public int getRequestDepth(int depth)

### getDate

    public long getDate()

### getFilter

    public java.lang.String getFilter(java.lang.String contentType)

### setHeader

    public void setHeader(java.lang.String key,
                          java.lang.String value)

### getRequestDispatcher

    public RequestDispatcher getRequestDispatcher(java.lang.String url)

  Description copied from interface: `ServletRequest`
  Returns a request dispatcher for later inclusion or forwarding. This is the servlet API equivalent to SSI includes. `uri` is relative to the request URI. Absolute URIs are relative to the application prefix (`getContextPath()`).

  If `getRequestURI()` is /myapp/dir/test.jsp and the `uri` is "inc.jsp", the resulting page is /myapp/dir/inc.jsp. ``

         RequestDispatcher disp;
         disp = getRequestDispatcher("inc.jsp?a=b");
         disp.include(request, response);

  Specified by:
    `getRequestDispatcher` in interface `ServletRequest`
  Following copied from interface: `javax.servlet.ServletRequest`
  Parameters:
    `uri` - path relative to `getRequestURI()` (including query string) for the included file.
  Returns:
    RequestDispatcher for later inclusion or forwarding.

### getCookie

    public Cookie getCookie(java.lang.String name)

### isSecure

    public boolean isSecure()

  Description copied from interface: `ServletRequest`
  Returns true if the connection is secure, e.g. it uses SSL.
  Specified by:
    `isSecure` in interface `ServletRequest`

### isUserInRole

    public boolean isUserInRole(java.lang.String role)

  Description copied from interface: `HttpServletRequest`
  Returns true if the user is in the given role.
  Specified by:
    `isUserInRole` in interface `HttpServletRequest`

### resetTimeout

    public void resetTimeout()

  Resets the request timeout. Useful for long-lived requests that are known to be still working.

### getMedia

    public java.lang.String getMedia()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD